Bug 147769 - kompare chokes on these files. diff works fine
Summary: kompare chokes on these files. diff works fine
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdesdk   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-11 03:25 UTC by Kim Lux
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 00:02:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First file to compare (616.02 KB, text/plain)
2005-02-11 03:27 UTC, Kim Lux
no flags Details
second file to compare. (616.03 KB, text/plain)
2005-02-11 03:31 UTC, Kim Lux
no flags Details

Description Kim Lux 2005-02-11 03:25:57 UTC
Description of problem: 
 
These two files absolutely choke kompare.  It never finishes 
processing them.  diff works fine.   
 
 
Version-Release number of selected component (if applicable): 
 
kdebase-3.3.1-4.3.FC3 
 
How reproducible: 
 
Every time.  
 
Steps to Reproduce: 
 
1. Start kompare 
 
2. On the enter the files you want to compare, browse to each of the 
included files. Press compare.  
 
   
Actual results: 
 
Kompare chokes on the files.  It never gets done processing them.  
diff does them in about 10 seconds.  
 
Expected results: 
 
Processing should be fast, like diff.  
 
Additional info:

Comment 1 Kim Lux 2005-02-11 03:27:05 UTC
Created attachment 110955 [details]
First file to compare

Comment 2 Kim Lux 2005-02-11 03:31:16 UTC
Created attachment 110956 [details]
second file to compare.

They are almost the same save for the first line and the last 10 or so lines.

They have a repeating pattern for a reason as they were used to test high speed
flash programming on a microcontroller.

Comment 3 Matthew Miller 2006-07-10 20:59:37 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 lexual 2007-04-10 23:58:07 UTC
This should be reassigned to kdesdk.
I couldn't reproduce with FC6.


Comment 5 Matthew Miller 2007-04-11 00:02:15 UTC
So, based on comment #4, marking closed in current release.


Note You need to log in before you can comment on or make changes to this bug.